Skip to main content
PUT
/
1
/
transformations
/
{transformationID}
curl
curl --request PUT \
  --url https://data.us.algolia.com/1/transformations/6c02aeb1-775e-418e-870b-1faccd4b2c0f \
  --header 'accept: application/json' \
  --header 'content-type: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID' \
  --data '
{
  "code": "lorem",
  "name": "lorem",
  "type": "code",
  "input": {
    "code": "lorem"
  },
  "description": "lorem",
  "authenticationIDs": [
    "6c02aeb1-775e-418e-870b-1faccd4b2c0f"
  ]
}
'
{
  "transformationID": "6c02aeb1-775e-418e-870b-1faccd4b2c0f",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://algolia.com/llms.txt

Use this file to discover all available pages before exploring further.

Required ACL: addObject, deleteIndex, editSettings

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

transformationID
string
required

Unique identifier of a transformation. Universally unique identifier (UUID) of a transformation.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

Body

application/json

API request body for creating a transformation.

name
string
required

The uniquely identified name of your transformation.

authenticationIDs
string[]

The authentications associated with the current transformation.

Universally unique identifier (UUID) of an authentication resource.

code
string
deprecated

It is deprecated. Use the input field with proper type instead to specify the transformation code.

description
string

A descriptive name for your transformation of what it does.

input
Code · object

The input for the transformation, which can be either code or a no-code configuration.

type
enum<string>

The type of transformation, which can be either 'code' or 'noCode'.

Available options:
code,
noCode

Response

OK

API response for updating a transformation.

transformationID
string
required

Universally unique identifier (UUID) of a transformation.

Example:

"6c02aeb1-775e-418e-870b-1faccd4b2c0f"

updatedAt
string
required

Date and time when the resource was last updated, in RFC 3339 format.

Last modified on March 23, 2026